# Set the account's notification preferences.

Use this function to set the logged in cPanel or Webmail account's notification preferences.

Note:

To set a cPanel account's notification email address, call set_email_addresses. To return the list of account notification
preferences you can set with set_notification_preferences, call get_notification_preferences.

Endpoint: POST /ContactInformation/set_notification_preferences
Version: 11.136.0.4
Security: BasicAuth

## Request fields (application/json):

  - `preferences` (object)

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "set_notification_preferences"

  - `module` (string)
    The name of the module called.
    Example: "ContactInformation"

  - `result` (object)

  - `result.data` (array)
    An array of cPanel and Webmail account notification preferences, including the newly-set preferences.

  - `result.data.additionalProperties` (string)

  - `result.data.descp` (string)
    A description of the notification setting.
    Example: "Someone logs in to my account."

  - `result.data.enabled` (integer)
    - 1 - Notification is enabled
- 0 - Notification is disabled
    Enum: 0, 1

  - `result.data.name` (string)
    The notification preference key name.
    Example: "notify_account_login"

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.status` (integer)
    - 1 - Success
- 0 - Failed: Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running an API.


